package guiTest;

import gui.ComponentGraphics;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPanel;

/**
 *
 * @author gshute
 */
class TestPanel
        extends JPanel {

  public TestPanel() {
    setPreferredSize(new Dimension(200, 200));
  }

  public void paintComponent(Graphics g) {
    super.paintComponent(g);
    g.setColor(Color.RED);
    g.fillRect(5, 5, 190, 190);
  }

}

/**
 *
 * @author gshute
 */
public class ComponentGraphicsTest {

  public static void main(String[] args) {
    JFrame frame = new JFrame();
    TestPanel TestPanel = new TestPanel();
    ComponentGraphics componentGraphics = new ComponentGraphics(TestPanel);
    JMenu menu = new JMenu("File");
    menu.add(componentGraphics.getPrintAction());
    menu.add(componentGraphics.getExportAction());
    JMenuBar menuBar = new JMenuBar();
    menuBar.add(menu);
    frame.setJMenuBar(menuBar);
    frame.getContentPane().add(TestPanel);
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.pack();
    frame.setLocation(50, 50);
    frame.setVisible(true);
  }

}
