package guiTest;

import gui.GriddedPanel;
import gui.Wrapper;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 *  @author AUTHOR
 */
public class GriddedPanelTest
        extends JFrame {

  private GriddedPanel panel;

  private JPanel createLabel(int i) {
    JLabel label = new JLabel("" + i, JLabel.CENTER);
    label.setForeground(Color.BLUE);
    label.setMinimumSize(new Dimension(40, 40));
    label.setPreferredSize(new Dimension(40, 40));
    label.setMaximumSize(new Dimension(40, 40));
    JPanel colorPanel = new JPanel(new BorderLayout());
    colorPanel.add(label);
    colorPanel.setBackground(Color.ORANGE);
    return colorPanel;
  }

  /**
   *  The GriddedPanelTest program 
   */
  public GriddedPanelTest() {
    super("GriddedPanel Test");
    panel = new GriddedPanel();
    panel.setHGap(10);
    panel.setVGap(10);
    for (int i = 0; i < 200; i++) {
      panel.add(createLabel(i));
    }
    panel.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    getContentPane().add(Wrapper.scrolled(panel, 340, 400));
  }

  public static void main(String[] args) {
    JFrame frame = new GriddedPanelTest();
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.pack();
    frame.setLocation(50, 50);
    frame.setVisible(true);
  }

}  // public class GriddedPanelTest

