package fileTest;

import file.FileGroup;
import file.FilePanel;
import gui.Wrapper;
import java.io.File;
import java.io.FileFilter;
import javax.swing.BorderFactory;
import javax.swing.JFrame;

/**
 *  @author AUTHOR
 */
public class FilePanelTest
        extends JFrame {

  private FilePanel panel;

  /**
   *  The FilePanelTest program 
   */
  public FilePanelTest() {
    super("FilePanel Test");
    File localDir = new File(System.getProperty("user.dir"));
    File testDir = new File(localDir, "src/fileTest/test/");
    FileFilter filter = new FileFilter() {
      public boolean accept(File f) {
        return true;
      }
    };
    FileGroup fileGroup = new FileGroup(testDir, filter);
    panel = new FilePanel(fileGroup);
    panel.setHGap(10);
    panel.setVGap(10);
    panel.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    getContentPane().add(Wrapper.scrolled(panel, 300, 170));
  }

  public static void main(String[] args) {
    FilePanelTest frame = new FilePanelTest();
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.pack();
    frame.setLocation(50, 50);
    frame.setVisible(true);
  }

}  // public class FilePanelTest

